<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Kids Education Pro
* @since Kids Education Pro 1.0
*/

function kids_education_pro_validate_long_excerpt( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 5 ) {
       $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'kids-education-pro' ) );
   } elseif ( $value > 100 ) {
       $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_excerpt( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 5 ) {
       $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'kids-education-pro' ) );
   } elseif ( $value > 100 ) {
       $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_main_slider( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_img', esc_html__( 'Minimum no of image is 1', 'kids-education-pro' ) );
   } elseif ( $value > 10 ) {
       $validity->add( 'max_no_of_img', esc_html__( 'Maximum no of images is 10', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_feature( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 1', 'kids-education-pro' ) );
   } elseif ( $value > 10 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_gallery( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 1', 'kids-education-pro' ) );
   } elseif ( $value > 12 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_recent_section( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 3 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 3', 'kids-education-pro' ) );
   } elseif ( $value > 30 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 30', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_counter( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 1', 'kids-education-pro' ) );
   } elseif ( $value > 9 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_team( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 1', 'kids-education-pro' ) );
   } elseif ( $value > 4 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 4', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_testimonial( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 2 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 2', 'kids-education-pro' ) );
   } elseif ( $value > 10 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_category_blog( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 1', 'kids-education-pro' ) );
   } elseif ( $value > 12 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_popular( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 2 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 2', 'kids-education-pro' ) );
   } elseif ( $value > 10 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_featured( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 3 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 3', 'kids-education-pro' ) );
   } elseif ( $value > 9 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_recent_post( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 2 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 2', 'kids-education-pro' ) );
   } elseif ( $value > 10 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'kids-education-pro' ) );
   }
   return $validity;
}